org.apache.ignite.internal.processors.rest.client.message

## Class GridClientCacheRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.client.message.GridClientAbstractMessage
  - - org.apache.ignite.internal.processors.rest.client.message.GridClientCacheRequest

All Implemented Interfaces:
  Externalizable, Serializable, GridClientMessage

    public class GridClientCacheRequest
    extends GridClientAbstractMessage

Generic cache request.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `GridClientCacheRequest.GridCacheOperation` Available cache operations.

### Constructor Summary

Constructors
Constructor and Description
`GridClientCacheRequest()` Constructor for `Externalizable`.
`GridClientCacheRequest(GridClientCacheRequest.GridCacheOperation op)` Creates grid cache request.

### Method Summary

Methods
`int` `cacheFlagsOn()` Get cache flags bit map.
`void` `cacheFlagsOn(int cacheFlagsOn)` Set cache flags bit map.
`String` `cacheName()` Gets cache name.
`void` `cacheName(String cacheName)` Gets cache name.
`Object` `key()`
`void` `key(Object key)`
`void` `keys(Iterable<Object> keys)`
`GridClientCacheRequest.GridCacheOperation` `operation()`
`void` `readExternal(ObjectInput in)`
`String` `toString()`
`Object` `value()`
`void` `value(Object val)`
`Object` `value2()`
`void` `value2(Object val2)`
`Map<Object,Object>` `values()`
`void` `values(Map<Object,Object> vals)`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class org.apache.ignite.internal.processors.rest.client.message.GridClientAbstractMessage

`clientId, clientId, destinationId, destinationId, requestId, requestId, sessionToken, sessionToken`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridClientCacheRequest

    public GridClientCacheRequest()

Constructor for `Externalizable`.

#### GridClientCacheRequest

    public GridClientCacheRequest(GridClientCacheRequest.GridCacheOperation op)

Creates grid cache request.

Parameters:
  `op` - Requested operation.

### Method Detail

#### operation

    public GridClientCacheRequest.GridCacheOperation operation()

Returns:
  Requested operation.

#### cacheName

    public String cacheName()

Gets cache name.

Returns:
  Cache name, or `null` if not set.

#### cacheName

    public void cacheName(String cacheName)

Gets cache name.

Parameters:
  `cacheName` - Cache name.

#### key

    public Object key()

Returns:
  Key.

#### key

    public void key(Object key)

Parameters:
  `key` - Key.

#### value

    public Object value()

Returns:
  Value 1.

#### value

    public void value(Object val)

Parameters:
  `val` - Value 1.

#### value2

    public Object value2()

Returns:
  Value 2.

#### value2

    public void value2(Object val2)

Parameters:
  `val2` - Value 2.

#### values

    public Map<Object,Object> values()

Returns:
  Values map for batch operations.

#### values

    public void values(Map<Object,Object> vals)

Parameters:
  `vals` - Values map for batch operations.

#### keys

    public void keys(Iterable<Object> keys)

Parameters:
  `keys` - Keys collection

#### cacheFlagsOn

    public void cacheFlagsOn(int cacheFlagsOn)

Set cache flags bit map.

Parameters:
  `cacheFlagsOn` - Bit representation of cache flags.

#### cacheFlagsOn

    public int cacheFlagsOn()

Get cache flags bit map.

Returns:
  Bit representation of cache flags.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Overrides:
  `writeExternal` in class `GridClientAbstractMessage`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Overrides:
  `readExternal` in class `GridClientAbstractMessage`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `GridClientAbstractMessage`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017